package schema

import (
	"entgo.io/ent"
	"entgo.io/ent/schema/field"
	"time"
)

// UserFollows holds the schema definition for the UserFollows entity.
type UserFollows struct {
	ent.Schema
}

// Fields of the UserFollows.
func (UserFollows) Fields() []ent.Field {
	return []ent.Field{
		field.Int64("id").Immutable().Unique(),
		field.Int64("follower_id"),
		field.Int64("followee_id"),
		field.Time("created_at").Immutable().Default(time.Now),
	}
}

// Edges of the UserFollows.
func (UserFollows) Edges() []ent.Edge {
	return nil
}
